/*
 *	remote protocol manager definitions
 *	issued: 2000/7/23
 *	author: c.mos@zob.ne.jp
 */

#ifndef _REMOTE_H_
#define _REMOTE_H_

#include "folder.h"

#define REMOTE_BUFFER_SIZE 128

typedef struct {
	BOOL mode;
	int state;
	int count;
	char buffer[REMOTE_BUFFER_SIZE];
} Remote;

void init_remote_mode(BOOL mode);
void remote_enable(void);
void remote_disable(void);
int  do_remote(Folder *folder);
void done_remote(BOOL ok);
int get_fmode_string(char *buff, fmode_t mode);
int get_mtime_string(char *buff, time_t mtime, BOOL date);

extern Remote remote;

#endif _REMOTE_H_
